repo/gentoo:master commit in: net-im/mattermost-desktop-bin/

"Viorel Munteanu" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786600128.ad635a4bebefaf7e55132e95634f0889438e6f00.ceamac@gentoo>
commit:     ad635a4bebefaf7e55132e95634f0889438e6f00
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 05:47:10 2026 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 05:48:48 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad635a4b

net-im/mattermost-desktop-bin: add 6.2.3_rc2

Add 6.2.3_rc2.

WM_CLASS under X backported to this version by upstream, update desktop
file.

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 net-im/mattermost-desktop-bin/Manifest             |   2 +
 .../mattermost-desktop-bin-6.2.3_rc2.ebuild        | 117 +++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/net-im/mattermost-desktop-bin/Manifest b/net-im/mattermost-desktop-bin/Manifest
index 796167b0cbdb..60cc5824bbc9 100644
--- a/net-im/mattermost-desktop-bin/Manifest
+++ b/net-im/mattermost-desktop-bin/Manifest
@@ -4,5 +4,7 @@ DIST mattermost-desktop-6.2.2-linux-arm64.tar.gz 117886439 BLAKE2B f4b4eee6e20ce
 DIST mattermost-desktop-6.2.2-linux-x64.tar.gz 117833492 BLAKE2B 57ab6eff042c7f2d1c898d6c14296068d86c3fd1caf9d8d40be1f448f8b86885de6b55c6be4851225d8f3aa2152b67ca2beab802eb2ee5320b009bf9fa24cd91 SHA512 226d6fa2e1ffb75a4938a0b9cfb5f610b43e30a423ebbe6642a8df54de3ae7ca5de7b20de3b0309b4460cd29e49a91e9cf41050c88c92835245b191f84cf8d95
 DIST mattermost-desktop-6.2.3-rc.1-linux-arm64.tar.gz 117887519 BLAKE2B 56cf4306f799d379f1ef904085ac1e64e59606da95d4b26389b6972b395b26c2f0328e1c9e8c66f622454af70124fb4e6de584b19ef22a1175eca7da8e38dc4e SHA512 03c967ce3aa44e834ed37948d6b1046f3f17b6eafc6b7e72365900003d2e1bcfa54afc6c5579d1bdad10026659b077f35a58be3976b3c834b0c14bdc07ba0757
 DIST mattermost-desktop-6.2.3-rc.1-linux-x64.tar.gz 117827971 BLAKE2B 0453289a580f0b3b692b9cab356e332f0b0ad4b15203682fe4153a63c3abb911785405eeee33f0b5e611ea3028f0000737763a3c0b17b3dfddf23e0a09219e73 SHA512 118f18705df0901ff2869c5d397ef196919ef01136c392a06ac353a2c424365e527e85665820f5fae4818db9cb92c845c988de2fb580563ffdeda6de630057b1
+DIST mattermost-desktop-6.2.3-rc.2-linux-arm64.tar.gz 124414670 BLAKE2B 5928fe260085e397aeb8df7669c52d3e253bfd0d1d200e8d3df2020046b432bc767d4dc4137bd0623ba5c13c0a527fbc85be9280c9ec491b8b381c2d72c77960 SHA512 2742e5cafd977a5329b596c9c4de5c2d4685ab2cab59fe798f66b875d1e0b2a2af12cafe3b5588382c29a251a38968e4ceb6bb6bfb1d2d99f398ca0e09bf4604
+DIST mattermost-desktop-6.2.3-rc.2-linux-x64.tar.gz 126118250 BLAKE2B cd56dda9f313b4195443368d774f1acc8353ef82e4731158b568ad7428e4ddd296c01f50888c4dda915cc1e8b24814aa5d2e2bc579d0dd759f2c1698ceccc4de SHA512 b7c0172f69cf5a98dab9c2b43ad75268295e144606d5074a6dba2df456d66d3593091c85c8d61d2071f07e578ac614535117311e04d2b5248e3f95d4e8367d4b
 DIST mattermost-desktop-6.3.0-rc.3-linux-arm64.tar.gz 126598087 BLAKE2B 7d4030dc5656210065b589b26c79e907817713083115842ca06a3994baa0161c9d38d20fbe75ec8fd57bdd77249d2a830d07cedb0afea9ee609fa3459edbb361 SHA512 278771b8db92d7ed155d021614b4fec562fc6049222c81ee634080f13b851ce411bc653dd742a307d12b3bd8b430e970cd1541f50ce5d0f4a043cd3a1fc20421
 DIST mattermost-desktop-6.3.0-rc.3-linux-x64.tar.gz 127749350 BLAKE2B ca2f5603f5062aa720ce6ef8a062e1b19a636a16d3d0e9ad816ec6997ae6542f622ff3f871b6d9f9119787e5f1e509ff557a0b9027232f63bf7fbf2c0954c82e SHA512 64a57571fa98bf6c987001b94145b83dd6928fa8b158f57489bb23d7ced6104b909c979038e8ebaa89376ad743d844f4fabd700ed4367d8f83a9d570a4ff4d36

diff --git a/net-im/mattermost-desktop-bin/mattermost-desktop-bin-6.2.3_rc2.ebuild b/net-im/mattermost-desktop-bin/mattermost-desktop-bin-6.2.3_rc2.ebuild
new file mode 100644
index 000000000000..c656ff8a65e8
--- /dev/null
+++ b/net-im/mattermost-desktop-bin/mattermost-desktop-bin-6.2.3_rc2.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_PN="${PN%-*}"
+MY_PV="${PV/_rc/-rc.}"
+
+inherit desktop toolchain-funcs xdg
+
+DESCRIPTION="Mattermost Desktop application"
+HOMEPAGE="https://mattermost.com/"
+
+SRC_URI="
+	amd64? ( https://releases.mattermost.com/desktop/${MY_PV}/mattermost-desktop-${MY_PV}-linux-x64.tar.gz )
+	arm64? ( https://releases.mattermost.com/desktop/${MY_PV}/mattermost-desktop-${MY_PV}-linux-arm64.tar.gz )
+"
+S="${WORKDIR}"
+
+LICENSE="Apache-2.0 GPL-2+ LGPL-2.1+ MIT"
+SLOT="0"
+if [[ ${PV} != *rc* ]]; then
+	KEYWORDS="~amd64 ~arm64"
+fi
+
+RDEPEND="
+	>=app-accessibility/at-spi2-core-2.46.0:2[X]
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	dev-libs/wayland
+	media-libs/alsa-lib
+	media-libs/mesa
+	net-print/cups
+	sys-apps/dbus
+	sys-libs/glibc
+	virtual/libudev
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/gtk+:3[X]
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libdrm
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/pango
+"
+
+BDEPEND="
+	dev-util/debugedit
+"
+
+QA_PREBUILT="
+	opt/mattermost-desktop/mattermost-desktop
+	opt/mattermost-desktop/chrome_crashpad_handler
+	opt/mattermost-desktop/libnode.so
+	opt/mattermost-desktop/libffmpeg.so
+	opt/mattermost-desktop/libGLESv2.so
+	opt/mattermost-desktop/libEGL.so
+	opt/mattermost-desktop/libvk_swiftshader.so
+	opt/mattermost-desktop/libvulkan.so.1
+	opt/mattermost-desktop/resources/*
+"
+
+DOCS=(
+	NOTICE.txt
+)
+
+src_prepare() {
+	default
+
+	# file collision with FEATURES=splitdebug, see bug #961437
+	tc-export OBJCOPY
+	find . -type f ! -name '*$(*)*' -print0 | while IFS= read -r -d '' file; do
+		if file "${file}" | grep -qE "ELF (32|64)-bit"; then
+			${OBJCOPY} --remove-section .note.gnu.build-id "${file}" || die
+			debugedit -b "${EPREFIX}/opt/${MY_PN}" -d "/usr/lib/debug" -i "${file}" || die
+		fi
+	done
+}
+
+src_install() {
+	if use amd64; then
+		cd mattermost-desktop-${MY_PV}-linux-x64 || die
+	elif use arm64; then
+		cd mattermost-desktop-${MY_PV}-linux-arm64 || die
+	fi
+	newicon app_icon.png ${MY_PN}.png
+
+	insinto "/opt/${MY_PN}/locales"
+	doins locales/*.pak
+
+	insinto "/opt/${MY_PN}/resources"
+	doins -r resources/*.asar*
+
+	insinto "/opt/${MY_PN}"
+	doins *.pak *.bin *.dat
+	exeinto "/opt/${MY_PN}"
+	doexe *.so *.so.* "${MY_PN}" chrome_crashpad_handler
+
+	dosym -r "/opt/${MY_PN}/${MY_PN}" "/usr/bin/${MY_PN}"
+
+	make_desktop_entry --eapi9 mattermost-desktop \
+		-a "--enable-features=WaylandWindowDecorations --ozone-platform-hint=auto %U" \
+		-d Mattermost.Desktop \
+		-n Mattermost \
+		-i mattermost-desktop \
+		-c "Network;InstantMessaging;" \
+		-e "MimeType=x-scheme-handler/mattermost;" -e "StartupWMClass=Mattermost.Desktop"
+
+	einstalldocs
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.